﻿using System;
using System.Collections.Generic;

namespace PivotGrouping
{
    public class SalesList : List<Sale>
    {
        public SalesList()
        {
            this.Add(new Sale(new Money(100, Currency.Euro), "Fruits", "Bananas", new DateTime(2013, 1, 1)));
            this.Add(new Sale(new Money(100, Currency.Euro), "Fruits", "Bananas", new DateTime(2013, 2, 2)));
            this.Add(new Sale(new Money(50, Currency.Euro), "Fruits", "Bananas", new DateTime(2013, 2, 2)));
            this.Add(new Sale(new Money(100, Currency.Euro), "Fruits", "Bananas", new DateTime(2013, 3, 3)));
            this.Add(new Sale(new Money(50, Currency.Euro), "Fruits", "Bananas", new DateTime(2013, 3, 3)));

            this.Add(new Sale(new Money(20, Currency.Pound), "Fruits", "Apples", new DateTime(2013, 1, 1)));
            this.Add(new Sale(new Money(30, Currency.Pound), "Fruits", "Apples", new DateTime(2013, 1, 1)));
            this.Add(new Sale(new Money(50, Currency.Pound), "Fruits", "Apples", new DateTime(2013, 2, 2)));
            this.Add(new Sale(new Money(50, Currency.Pound), "Fruits", "Apples", new DateTime(2013, 2, 2)));
            this.Add(new Sale(new Money(70, Currency.Pound), "Fruits", "Apples", new DateTime(2013, 4, 4)));

            this.Add(new Sale(new Money(5, Currency.Euro), "Vegetables", "Paprica", new DateTime(2013, 2, 1)));
            this.Add(new Sale(new Money(10, Currency.Euro), "Vegetables", "Paprica", new DateTime(2013, 2, 2)));
            this.Add(new Sale(new Money(8, Currency.Euro), "Vegetables", "Paprica", new DateTime(2013, 3, 2)));
            this.Add(new Sale(new Money(7, Currency.Euro), "Vegetables", "Paprica", new DateTime(2013, 6, 3)));
            this.Add(new Sale(new Money(5, Currency.Euro), "Vegetables", "Paprica", new DateTime(2013, 8, 3)));

            this.Add(new Sale(new Money(10, Currency.Pound), "Vegetables", "Carrot", new DateTime(2013, 1, 1)));
            this.Add(new Sale(new Money(11, Currency.Pound), "Vegetables", "Carrot", new DateTime(2013, 3, 1)));
            this.Add(new Sale(new Money(13, Currency.Pound), "Vegetables", "Carrot", new DateTime(2013, 4, 2)));
            this.Add(new Sale(new Money(15, Currency.Pound), "Vegetables", "Carrot", new DateTime(2013, 5, 2)));
            this.Add(new Sale(new Money(20, Currency.Pound), "Vegetables", "Carrot", new DateTime(2013, 9, 4)));
        }
    }
}
