﻿using Telerik.Pivot.Core;
using Telerik.Pivot.Core.Aggregates;

namespace PivotGrouping
{
    public class SumOfMoney : AggregateFunction
    {
        protected override AggregateValue CreateAggregate(IAggregateContext context)
        {
            return new MoneySumAggregate();
        }

        public override string DisplayName
        {
            get
            {
                return "Sum";
            }
        }

        protected override void CloneCore(Cloneable source)
        {
        }

        protected override Cloneable CreateInstanceCore()
        {
            return new SumOfMoney();
        }
    }
}
