﻿using Telerik.Pivot.Core;

namespace PivotGrouping
{
    public class ProductWithCurrencyGroupDescription : PropertyGroupDescriptionBase
    {
        protected override object GroupNameFromItem(object item, int level)
        {
            var sale = (Sale)item;
            return sale.Name + " (" + sale.Amount.Currency + ")";
        }

        protected override void CloneOverride(Cloneable source)
        {
        }

        protected override Cloneable CreateInstanceCore()
        {
            return new ProductWithCurrencyGroupDescription();
        }
    }
}
